Can't connec to https://repo.adobe.com/nexus/content/groups/public

Avatar

Avatar

NSzolnoki921

Avatar

NSzolnoki921

NSzolnoki921

14-01-2021

Hello,

 

I try to build the bootstrap connector, but I can't because of this message:

Downloading from adobe-public-releases: https://repo.adobe.com/nexus/content/groups/public/com/adobe/granite/com.adobe.granite.translation.a...
Downloading from localinstance: http://localhost:4502/maven/repository/com/adobe/granite/com.adobe.granite.translation.api/1.1.34/com.adobe.granite.translation.api-1.1.34.pom
Downloading from central: https://repo.maven.apache.org/maven2/com/adobe/granite/com.adobe.granite.translation.api/1.1.34/com....
[WARNING] The POM for com.adobe.granite:com.adobe.granite.translation.api:jar:1.1.34 is missing, no dependency information available
Downloading from adobe-public-releases: https://repo.adobe.com/nexus/content/groups/public/com/adobe/granite/com.adobe.granite.translation.a...
Downloading from localinstance: http://localhost:4502/maven/repository/com/adobe/granite/com.adobe.granite.translation.api/1.1.34/com.adobe.granite.translation.api-1.1.34.jar
Downloading from central: https://repo.maven.apache.org/maven2/com/adobe/granite/com.adobe.granite.translation.api/1.1.34/com....
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary for Bootstrap Translation Connector 2.5.1:
[INFO]
[INFO] Bootstrap Translation Connector .................... SUCCESS [ 0.543 s]
[INFO] Bootstrap Translation Connector - Bundle ........... FAILURE [ 25.272 s]
[INFO] Bootstrap Translation Connector - Content .......... SKIPPED
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 27.961 s
[INFO] Finished at: 2021-01-14T16:02:28+01:00
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal on project bootstrap-connector.bundle: Could not resolve dependencies for project com.adobe.granite.translation.connector:bootstrap-connector.bundle:bundle:2.5.1: Could not transfer artifact com.adobe.granite:com.adobe.granite.translation.api:jar:1.1.34 from/to adobe-public-releases (https://repo.adobe.com/nexus/content/groups/public😞 Transfer failed for https://repo.adobe.com/nexus/content/groups/public/com/adobe/granite/com.adobe.granite.translation.a...: Connect to repo.adobe.com:443 [repo.adobe.com/192.147.130.162] failed: Connection timed out: connect -> [Help 1]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/DependencyResolutionException
[ERROR]
[ERROR] After correcting the problems, you can resume the build with the command
[ERROR] mvn <args> -rf :bootstrap-connector.bundle

AEM bootsrap connector

Accepted Solutions (1)

Accepted Solutions (1)

Avatar

Avatar

Manjunath_K

Avatar

Manjunath_K

Manjunath_K

14-01-2021

Hi @NSzolnoki921 ,

I don't see the latest version(1.1.34) which you are trying access in your project on adobe/maven repo, try updating dependency version to access lower version (i.e. 1.1.18 instead 1.1.34) & it should resolve the issue.

 

https://repo.adobe.com/nexus/content/groups/public/com/adobe/granite/com.adobe.granite.translation.a...

repo1.PNG

 

 

 

https://mvnrepository.com/artifact/com.adobe.granite/com.adobe.granite.translation.api

maven1.PNG

Hope this helps!

Answers (1)

Answers (1)

Avatar

Avatar

BrianKasingli

MVP

Avatar

BrianKasingli

MVP

BrianKasingli
MVP

Jan 18, 2021

@NSzolnoki921,

Make sure you also set your development environment .m2/settings.xml with https://helpx.adobe.com/uk/experience-manager/kb/SetUpTheAdobeMavenRepository.html

 

Hi @BrianKasingli,

 

I am trying to use the MASTER branch from git: https://github.com/Adobe-Marketing-Cloud/aem-translation-framework-bootstrap-connector

After did the changes you mentioned, I experience the following:

[WARNING] ValidationViolation: "jackrabbit-filter: Filter root's ancestor '/home/users/system' is not covered by any of the specified dependencies nor a valid root.", filePath=META-INF\vault\filter.xml
[ERROR] ValidationViolation: "jackrabbit-nodetypes: Property 'DocViewProperty [name={internal}authorizableId, values=[bootstrap-service], isMulti=false, type=0, isReferenceProperty=false]' is not allowed in node with types '[rep:SystemUser]': Property is protected!", filePath=jcr_root\home\users\system\bootstrap-service\.content.xml, nodePath=/home/users/system/bootstrap-service, line=6, column=44
[ERROR] ValidationViolation: "jackrabbit-nodetypes: Property 'DocViewProperty [name={internal}principalName, values=[bootstrap-service], isMulti=false, type=0, isReferenceProperty=false]' is not allowed in node with types '[rep:SystemUser]': Property is protected!", filePath=jcr_root\home\users\system\bootstrap-service\.content.xml, nodePath=/home/users/system/bootstrap-service, line=6, column=44
[ERROR] ValidationViolation: "jackrabbit-nodetypes: Property 'DocViewProperty [name={http://www.jcp.org/jcr/1.0}uuid, values=[7a45f8ab-1a78-3eae-97f0-38fa4d4fea2b], isMulti=false, type=0, isReferenceProperty=false]' is not allowed in node with types '[rep:SystemUser]': Property is protected!", filePath=jcr_root\home\users\system\bootstrap-service\.content.xml, nodePath=/home/users/system/bootstrap-service, line=6, column=44
[WARNING] ValidationViolation: "jackrabbit-nodetypes: Invalid primary type sling:Folder: 'sling: is not a registered namespace prefix.'. Skip validation of nodes with that type/name", filePath=jcr_root\var\bootstrap-tms\.content.xml, nodePath=/var/bootstrap-tms, line=4, column=37